## net.sf.saxon.regex
Class SurrogateRegexTranslator.SimpleCharClass

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass

Direct Known Subclasses:
  SurrogateRegexTranslator.CharRange, SurrogateRegexTranslator.Empty, SurrogateRegexTranslator.Property, SurrogateRegexTranslator.SingleChar, SurrogateRegexTranslator.WideSingleChar

Enclosing class:
  SurrogateRegexTranslator

    public abstract static class SurrogateRegexTranslator.SimpleCharClass

extends Object

Simple Character Class - essentially, anything other than a Union or Subtraction between two character classes.

Constructor Summary
`SurrogateRegexTranslator.SimpleCharClass(int containsBmp, int containsNonBmp)`

Method Summary
`abstract void` `inClassOutputBmp(FastStringBuffer buf)`
`void` `outputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer
`void` `outputComplementBmp(FastStringBuffer buf)` Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.SimpleCharClass

    public SurrogateRegexTranslator.SimpleCharClass(int containsBmp,
                                                    int containsNonBmp)

Method Detail

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

  Parameters:
    `buf` - the supplied buffer

### outputComplementBmp

    public void outputComplementBmp(FastStringBuffer buf)

  Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

  Parameters:
    `buf` - the supplied buffer

### inClassOutputBmp

    public abstract void inClassOutputBmp(FastStringBuffer buf)

Copyright (C) Michael H. Kay. All rights reserved.